Package com.saxonica.ee.bytecode.util

## Class GeneratedClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - com.saxonica.ee.bytecode.util.GeneratedClassLoader

-     public class GeneratedClassLoader
      extends java.lang.ClassLoader

  GeneratedClassLoader interface. This interface provides access to method whose implementation depends on the chosen platform (typically Java or .NET)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GeneratedClassLoader​(java.lang.ClassLoader parentClassLoader)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.Class<?>` | `findClass​(java.lang.String name)` |
    `void` | `registerClass​(java.lang.String name, byte[] classFile)` | Creates a class from the supplied byte array and registers it for later use.

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResource, findResources, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneratedClassLoader

          public GeneratedClassLoader​(java.lang.ClassLoader parentClassLoader)

  - ### Method Detail

    - #### registerClass

          public void registerClass​(java.lang.String name,
                                    byte[] classFile)

      Creates a class from the supplied byte array and registers it for later use.
      Parameters:
        `name` - The name of the class to register
        `classFile` - The class file as a byte array
      Since:
        9.6.0.3

    - #### findClass

          protected java.lang.Class<?> findClass​(java.lang.String name)
                                          throws java.lang.ClassNotFoundException

      Overrides:
        `findClass` in class `java.lang.ClassLoader`
      Throws:
        `java.lang.ClassNotFoundException`